#!/usr/bin/perl

require 5.000 ;	# This is a perl 5.0 script

require NCI_screen ;

my $record = 0 ;

	$table = NCI_screen_table->readFromInputFile("sample_nci_lc50.csv") ;
	
	
	printf  "dimensions = %4d x %4d\n", $table->dimensions() ;
	$row = $table->get_row('NSC', '89' ) ;
	foreach $val (@$row)
	{
		print $val, "\n" ;
	}
			

	$row = $table->get_row('NSC', '291' ) ;
	foreach $val (@$row)
	{
		print $val, "\n" ;
	}
		
